petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESGetJacobian

Returns the Jacobian matrix and optionally the user provided context for evaluating the Jacobian.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESGetJacobian(SNES snes,Mat *Amat,Mat *Pmat,PetscErrorCode (**J)(SNES,Vec,Mat,Mat,void*),void **ctx)

Not Collective, but Mat object will be parallel if SNES object is

### Input Parameter

snes -the nonlinear solver context

### Output Parameters

| Amat | - location to stash (approximate) Jacobian matrix (or NULL)
| Pmat | - location to stash matrix used to compute the preconditioner (or NULL)
| J | - location to put Jacobian function (or NULL), see SNESJacobianFunction for details on its calling sequence
| ctx | - location to stash Jacobian ctx (or NULL)

### See Also

SNESSetJacobian(), SNESComputeJacobian(), SNESJacobianFunction, SNESGetFunction()

Level:advanced
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages